---
- name: Zabbix Agent2 role
  hosts:
    - ns1
    - ns2
  roles:
    - zabbix-agent2

  vars:
    agent_major_version: "7.0"
    agent_variant: "2"
    agent_package_state: present # present or latest
    agent_param_server:
      - 10.203.0.50
    agent_param_serveractive:
      - 127.0.0.1
      - 10.203.0.50
    agent_param_listenport: 10050
    # agent_2_plugin_list: ['named'] # set in inventory vars
    agent_param_tlsconnect: unencrypted
    agent_param_tlsaccept:
      - unencrypted
    agent_apply_firewalld_rule: auto # force or auto
